package domain

type AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest struct {
	/*
	   活动名称     */
	ActivityName *string `json:"activity_name,omitempty" `

	/*
	   活动创建者ID（仅数字）     */
	CreatorId *string `json:"creator_id,omitempty" `

	/*
	   活动创建者name     */
	CreatorName *string `json:"creator_name,omitempty" `

	/*
	   活动描述     */
	Description *string `json:"description,omitempty" `

	/*
	   活动终端：1-APP，2-POS     */
	Terminals *[]int32 `json:"terminals,omitempty" `

	/*
	   活动生效的经营店ID     */
	StoreIds *[]string `json:"store_ids,omitempty" `

	/*
	   外部活动ID（商家自定义）     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   特价类型，1-减钱，2-一口价，3-打折     */
	DiscountType *int64 `json:"discount_type,omitempty" `

	/*
	   活动开始时间     */
	StartTime *int64 `json:"start_time,omitempty" `

	/*
	   活动结束时间     */
	EndTime *int64 `json:"end_time,omitempty" `

	/*
	   活动人群编码，NEW_USER：新用户，OLD_USER：老用户，LIGHT_NEW_USER：闪购新客，MERCHANT_NEW_USER：商家新用户，MERCHANT_OLD_USER：商家老用户     */
	MemberCrowdCode *[]string `json:"member_crowd_code,omitempty" `

	/*
	   枚举： 2 美团 3 饿了么 26 京东到家 31 翱象淘鲜达 32 翱象共享库存     */
	Channels *[]string `json:"channels,omitempty" `

	/*
	   扩展信息，json串     */
	Attributes *string `json:"attributes,omitempty" `
}

func (s *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest) SetActivityName(v string) *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest {
	s.ActivityName = &v
	return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest) SetCreatorId(v string) *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest {
	s.CreatorId = &v
	return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest) SetCreatorName(v string) *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest {
	s.CreatorName = &v
	return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest) SetDescription(v string) *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest {
	s.Description = &v
	return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest) SetTerminals(v []int32) *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest {
	s.Terminals = &v
	return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest) SetStoreIds(v []string) *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest {
	s.StoreIds = &v
	return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest) SetOutActId(v string) *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest {
	s.OutActId = &v
	return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest) SetDiscountType(v int64) *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest {
	s.DiscountType = &v
	return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest) SetStartTime(v int64) *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest {
	s.StartTime = &v
	return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest) SetEndTime(v int64) *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest {
	s.EndTime = &v
	return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest) SetMemberCrowdCode(v []string) *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest {
	s.MemberCrowdCode = &v
	return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest) SetChannels(v []string) *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest {
	s.Channels = &v
	return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest) SetAttributes(v string) *AlibabaRetailMarketingItemdiscountActivityCreateItemDiscountActivityOperateRequest {
	s.Attributes = &v
	return s
}
